### Method

# Adw MessageDialog has_response

#### Declaration [src]

    gboolean
    adw_message_dialog_has_response (
      AdwMessageDialog* self,
      const char* response
    )

#### Description [src]

Gets whether `self` has a response with the ID `response`.

Available since: | 1.2

#### Parameters

`response` | `const char*`
| Response ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| Whether `self` has a response with the ID `response`.